linux-purism-librem5: upgrade to 5.6.0_rc7+librem5.1 (!1102)

Changelog:
https://source.puri.sm/Librem5/linux-next/commit/8adc003c8ddaf0fc25f0e2a076b220e78637a6c6
parent 4e24b4e7
......@@ -3,8 +3,10 @@
pkgname="linux-purism-librem5"
# <kernel ver>.<purism kernel release>
pkgver=5.6.0
_purismver=$pkgver-rc5+librem5.1
pkgrel=0
_purismver=${pkgver}_rc7+librem5.1
# Note: abusing pkgrel due to not using _rc# earlier, so package is still an
# 'upgrade'. When 5.6.1 is out, stop doing this.
pkgrel=1
pkgdesc="Purism Librem 5 phone kernel fork"
arch="aarch64"
_carch="arm64"
......@@ -53,5 +55,5 @@ package() {
INSTALL_DTBS_PATH="$pkgdir/usr/share/dtb"
}
sha512sums="c270ea69bb77fb627cfba3ee553f2164119fffcd2b8a60b5d981c943a4bd22a23e08b7346845b82345d225b8d43c96624ce76888cd39b2d5734e7ec069875adc linux-purism-librem5-5.6.0-rc5+librem5.1.tar.gz
63499d9f99a90f5c2500ef3b7af51172eaf3d5b59193c62fb5467361b04bcba2e9f1b254eb2f7b2388cdd5c095b81b2c43d04264a01a21aa8f6a80ab336833f4 config-purism-librem5.aarch64"
sha512sums="9371906611216ea7d2f66171b5abf2d0dcf769ec5b2dbe15123da39f30f1121e7c1104b8f67e27ee3be8dab3cb29a472ee87b48ea8161ae83f4fd108637e7548 linux-purism-librem5-5.6.0_rc7+librem5.1.tar.gz
7189c0211457284a93106a24e80e084fb991d2162a7eb65eb52cd9fe4df4ab87fccbba1b2c35fe88766b33e1c23eff9305982ae82f78a3f40263a25d661346f3 config-purism-librem5.aarch64"
#
# Automatically generated file; DO NOT EDIT.
# Linux/arm64 5.6.0-rc5 Kernel Configuration
# Linux/arm64 5.6.0-rc7 Kernel Configuration
#
#
......@@ -462,11 +462,11 @@ CONFIG_PM_SLEEP_SMP=y
CONFIG_PM=y
CONFIG_PM_DEBUG=y
# CONFIG_PM_ADVANCED_DEBUG is not set
CONFIG_PM_TEST_SUSPEND=y
# CONFIG_PM_TEST_SUSPEND is not set
CONFIG_PM_SLEEP_DEBUG=y
CONFIG_PM_CLK=y
CONFIG_PM_GENERIC_DOMAINS=y
# CONFIG_WQ_POWER_EFFICIENT_DEFAULT is not set
CONFIG_WQ_POWER_EFFICIENT_DEFAULT=y
CONFIG_PM_GENERIC_DOMAINS_SLEEP=y
CONFIG_PM_GENERIC_DOMAINS_OF=y
CONFIG_CPU_PM=y
......@@ -621,7 +621,7 @@ CONFIG_CRYPTO_AES_ARM64_CE_CCM=m
CONFIG_CRYPTO_AES_ARM64_CE_BLK=m
CONFIG_CRYPTO_AES_ARM64_NEON_BLK=m
CONFIG_CRYPTO_CHACHA20_NEON=m
# CONFIG_CRYPTO_POLY1305_NEON is not set
CONFIG_CRYPTO_POLY1305_NEON=m
CONFIG_CRYPTO_NHPOLY1305_NEON=m
CONFIG_CRYPTO_AES_ARM64_BS=m
......@@ -782,7 +782,7 @@ CONFIG_COMPAT_BINFMT_ELF=y
CONFIG_ELFCORE=y
# CONFIG_CORE_DUMP_DEFAULT_ELF_HEADERS is not set
CONFIG_BINFMT_SCRIPT=y
# CONFIG_BINFMT_MISC is not set
CONFIG_BINFMT_MISC=m
CONFIG_COREDUMP=y
# end of Executable file formats
......@@ -1888,7 +1888,8 @@ CONFIG_MII=m
CONFIG_NET_CORE=y
# CONFIG_BONDING is not set
CONFIG_DUMMY=m
# CONFIG_WIREGUARD is not set
CONFIG_WIREGUARD=m
# CONFIG_WIREGUARD_DEBUG is not set
# CONFIG_EQUALIZER is not set
# CONFIG_NET_FC is not set
# CONFIG_NET_TEAM is not set
......@@ -6064,16 +6065,19 @@ CONFIG_CRYPTO_HASH_INFO=y
#
CONFIG_CRYPTO_LIB_AES=y
CONFIG_CRYPTO_LIB_ARC4=y
# CONFIG_CRYPTO_LIB_BLAKE2S is not set
CONFIG_CRYPTO_LIB_BLAKE2S_GENERIC=m
CONFIG_CRYPTO_LIB_BLAKE2S=m
CONFIG_CRYPTO_ARCH_HAVE_LIB_CHACHA=m
CONFIG_CRYPTO_LIB_CHACHA_GENERIC=y
# CONFIG_CRYPTO_LIB_CHACHA is not set
# CONFIG_CRYPTO_LIB_CURVE25519 is not set
CONFIG_CRYPTO_LIB_CHACHA=m
CONFIG_CRYPTO_LIB_CURVE25519_GENERIC=m
CONFIG_CRYPTO_LIB_CURVE25519=m
CONFIG_CRYPTO_LIB_DES=y
CONFIG_CRYPTO_LIB_POLY1305_RSIZE=9
CONFIG_CRYPTO_ARCH_HAVE_LIB_POLY1305=m
CONFIG_CRYPTO_LIB_POLY1305_GENERIC=y
# CONFIG_CRYPTO_LIB_POLY1305 is not set
# CONFIG_CRYPTO_LIB_CHACHA20POLY1305 is not set
CONFIG_CRYPTO_LIB_POLY1305=m
CONFIG_CRYPTO_LIB_CHACHA20POLY1305=m
CONFIG_CRYPTO_LIB_SHA256=y
CONFIG_CRYPTO_HW=y
CONFIG_CRYPTO_DEV_FSL_CAAM_COMMON=m
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment